CVS lucene/debian/patches

Barry Hawkins barryh-guest@haydn.debian.org
Wed Mar 23 11:59:13 2005


Update of /cvsroot/pkg-java/lucene/debian/patches
In directory haydn:/tmp/cvs-serv10656/debian/patches

Added Files:
	00list 01_upstream_StandardTokenizer_fix.dpatch 
	02_upstream_root_ant_build_fix.dpatch 
Log Message:
Merge of RELEASE_1_4_3-4

--- /cvsroot/pkg-java/lucene/debian/patches/00list	2005/02/11 21:45:11	1.1
+++ /cvsroot/pkg-java/lucene/debian/patches/00list	2005/03/23 18:55:58	1.2
@@ -0,0 +1,3 @@
+01_upstream_StandardTokenizer_fix
+02_upstream_root_ant_build_fix
+
--- /cvsroot/pkg-java/lucene/debian/patches/01_upstream_StandardTokenizer_fix.dpatch	2005/02/11 21:45:11	1.1
+++ /cvsroot/pkg-java/lucene/debian/patches/01_upstream_StandardTokenizer_fix.dpatch	2005/03/23 18:55:58	1.2
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 01_upstream_StandardTokenizer_fix.dpatch by Barry Hawkins <barry@alltc.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch for StandardTokenizer.jj error from upstream source
+## DP: discovered by Jeff Breidenbach.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+
+diff -uNr ./src/java/org/apache/lucene/analysis/standard/StandardTokenizer.jj ../lucene-1.4.3/src/java/org/apache/lucene/analysis/standard/StandardTokenizer.jj
+--- ./src/java/org/apache/lucene/analysis/standard/StandardTokenizer.jj	2004-07-10 02:19:01.000000000 -0400
++++ ../lucene-1.4.3/src/java/org/apache/lucene/analysis/standard/StandardTokenizer.jj	2005-01-11 23:08:03.000000000 -0500
+@@ -65,6 +65,8 @@
+ 
+ package org.apache.lucene.analysis.standard;
+ 
++import java.io.*;
++
+ /** A grammar-based tokenizer constructed with JavaCC.
+  *
+  * <p> This should be a good tokenizer for most European-language documents.
--- /cvsroot/pkg-java/lucene/debian/patches/02_upstream_root_ant_build_fix.dpatch	2005/02/11 21:45:12	1.1
+++ /cvsroot/pkg-java/lucene/debian/patches/02_upstream_root_ant_build_fix.dpatch	2005/03/23 18:55:58	1.2
@@ -0,0 +1,59 @@
+#! /bin/sh -e
+## 02_upstream_root_ant_build_fix.dpatch by Barry Hawkins <barry@alltc.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This patch adds the -nowarn switch to the javac Ant 
+## DP: tasks in order to increase the control available 
+## DP: when compiling under different JVM/compiler combinations.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+
+diff -uNr lucene-1.4.3/build.xml debian_packages/lucene/1.4.3/lucene-1.4.3/build.xml
+--- lucene-1.4.3/build.xml      2004-07-01 13:40:41.000000000 -0400
++++ debian_packages/lucene/1.4.3/lucene-1.4.3/build.xml 2005-01-13 06:49:20.397439122 -0500
+@@ -137,7 +137,8 @@
+       includes="org/**/*.java"
+       destdir="${build.dir}/classes/java"
+       deprecation="${javac.deprecation}"
+-      debug="${javac.debug}">
++      debug="${javac.debug}"
++      nowarn="${javac.nowarn}">
+       <classpath refid="classpath"/>
+     </javac>
+
+@@ -214,7 +215,8 @@
+       srcdir="src/demo"
+       includes="**/*.java"
+       destdir="${build.dir}/classes/demo"
+-      debug="${javac.debug}">
++      debug="${javac.debug}"
++      nowarn="${javac.nowarn}">
+       <classpath refid="demo.classpath"/>
+     </javac>
+   </target>
+@@ -231,7 +233,8 @@
+       srcdir="src/test"
+       includes="**/*.java"
+       destdir="${build.dir}/classes/test"
+-      debug="true">
++      debug="${javac.debug}"
++      nowarn="${javac.nowarn}">
+       <classpath refid="test.classpath"/>
+     </javac>
+   </target>